summaryrefslogtreecommitdiff
path: root/source4/utils
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-04-08 23:41:08 +0200
committerJelmer Vernooij <jelmer@samba.org>2010-04-08 23:41:08 +0200
commit26d928e9482725fe66db05f23af573fdea61a291 (patch)
treea9284cb9d1c9ed29760a362663e84701a34d0992 /source4/utils
parent0c6f434b7bc0d9d4a8819a03815200966c92736e (diff)
downloadsamba-26d928e9482725fe66db05f23af573fdea61a291.tar.gz
samba-26d928e9482725fe66db05f23af573fdea61a291.tar.bz2
samba-26d928e9482725fe66db05f23af573fdea61a291.zip
s4-net: Convert 'net time' to python.
Diffstat (limited to 'source4/utils')
-rw-r--r--source4/utils/net/net.c1
-rw-r--r--source4/utils/net/wscript_build2
-rwxr-xr-xsource4/utils/tests/test_net.sh10
3 files changed, 7 insertions, 6 deletions
diff --git a/source4/utils/net/net.c b/source4/utils/net/net.c
index e06671c10d..1eafe4dd78 100644
--- a/source4/utils/net/net.c
+++ b/source4/utils/net/net.c
@@ -197,7 +197,6 @@ int net_run_usage(struct net_context *ctx,
/* main function table */
static const struct net_functable net_functable[] = {
{"password", "change password\n", net_password, net_password_usage},
- {"time", "get remote server's time\n", net_time, net_time_usage},
{"join", "join a domain\n", net_join, net_join_usage},
{"samdump", "dump the sam of a domain\n", net_samdump, net_samdump_usage},
{"vampire", "join and syncronise an AD domain onto the local server\n", net_vampire, net_vampire_usage},
diff --git a/source4/utils/net/wscript_build b/source4/utils/net/wscript_build
index 4464442f3a..8f63608ea6 100644
--- a/source4/utils/net/wscript_build
+++ b/source4/utils/net/wscript_build
@@ -10,7 +10,7 @@ bld.SAMBA_MODULE('net_drs',
bld.SAMBA_BINARY('net',
- source='net.c net_machinepw.c net_password.c net_time.c net_join.c net_vampire.c net_user.c',
+ source='net.c net_machinepw.c net_password.c net_join.c net_vampire.c net_user.c',
autoproto='net_proto.h',
installdir='BINDIR',
deps='LIBSAMBA-HOSTCONFIG LIBSAMBA-UTIL LIBSAMBA-NET popt POPT_SAMBA POPT_CREDENTIALS net_drs',
diff --git a/source4/utils/tests/test_net.sh b/source4/utils/tests/test_net.sh
index eb598bf5e1..e49989ff81 100755
--- a/source4/utils/tests/test_net.sh
+++ b/source4/utils/tests/test_net.sh
@@ -29,12 +29,14 @@ testit() {
return $status
}
-testit "domain join" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "domain join" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
-testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no
-testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes
-exit $failed
+testit "time" $VALGRIND $net time $SERVER $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+# FIXME: testit "domainlevel.show" $VALGRIND $net domainlevel show $CONFIGURATION
+exit $failed